package sun.rmi.rmic;

import sun.tools.java.Identifier;

public class ProxyNames {
   private static final Identifier lookup(Identifier var0, Identifier var1, Identifier var2) {
      return Identifier.lookup(Identifier.lookup(var0, var1), var2);
   }

   private static final Identifier lookup(Identifier var0, Identifier var1, String var2) {
      return Identifier.lookup(Identifier.lookup(var0, var1), Identifier.lookup(var2));
   }

   private static final Identifier lookup(Identifier var0, Identifier var1) {
      return Identifier.lookup(var0, var1);
   }

   private static final Identifier lookup(Identifier var0, String var1) {
      return Identifier.lookup(var0, Identifier.lookup(var1));
   }

   private static final Identifier lookup(String var0) {
      return Identifier.lookup(var0);
   }

   public static final Identifier proxyClassName() {
      return Identifier.lookup("_Stub");
   }

   public static final Identifier proxyClassName(Identifier var0) {
      return lookup(var0 + "_Stub");
   }

   public static final Identifier skeletonClassName() {
      return Identifier.lookup("_Skel");
   }

   public static final Identifier skeletonClassName(Identifier var0) {
      return lookup(var0 + "_Skel");
   }

   public static final Identifier remote() {
      return lookup("java.rmi.server.RemoteObject");
   }

   public static final Identifier remoteObject() {
      return lookup("java.rmi.Remote");
   }

   public static final Identifier remoteObjectException() {
      return lookup("java.rmi.RemoteException");
   }

   public static final Identifier remoteRuntimeException() {
      return lookup("java.rmi.RemoteRuntimeException");
   }

   public static final Identifier remoteException() {
      return lookup("java.rmi.RemoteException");
   }

   public static final Identifier remoteReference() {
      return lookup("java.rmi.server.RemoteRef");
   }

   public static final Identifier skeleton() {
      return lookup("java.rmi.server.Skeleton");
   }

   public static final Identifier skeletonInterface() {
      return lookup("java.rmi.server.Skeleton");
   }
}
